Remove the trailing "\" from capsule-certs-generate command for new capsules in

katello-certs-check
Status: Closed   
Assignee: Sayan Das   
Target version:    

Difficulty: easy Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases: 3.1.0, 3.2.0, 3.3.0

Bugzilla link: 2122214 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/804

  

Description

Description of problem:

katello-certs-generate -t capsule return command proposal with trailing "\" for new Capsule

Version-Release number of selected component (if applicable): 6.12 snap 8

How reproducible: Always

Steps to Reproduce:

1.# katello-certs-check -t capsule -c <cert> -k <key>  -b <CA bundle>

Actual results:

...

To use them inside a NEW $CAPSULE, run this command:

capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" \

                                   --certs-tar  "~/$CAPSULE-certs.tar" \

                                   --server-cert "/root/ssl/capsule/jjansat612-capsule_cert.crt" \

                                   --server-key "/root/ssl/capsule/jjansat612-capsule.pem" \

                                   --server-ca-cert "/root/ssl/capsule/CA.pem" \

 ...

Expected results:

...

To use them inside a NEW $CAPSULE, run this command:

capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" \

                                   --certs-tar  "~/$CAPSULE-certs.tar" \

                                   --server-cert "/root/ssl/capsule/jjansat612-capsule_cert.crt" \

                                   --server-key "/root/ssl/capsule/jjansat612-capsule.pem" \

                                   --server-ca-cert "/root/ssl/capsule/CA.pem"

 ...

Associated revisions

Revision 63841447 - 09/02/2022 12:43 AM - Sayan Das

Fixes #35453 - Remove trailing backslash from capsule-certs-generate command in katello-certs-check

History

#1 - 08/29/2022 06:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/804 added

#2 - 09/02/2022 12:43 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 09/02/2022 01:00 AM - Sayan Das

- Status changed from Ready For Testing to Closed

Applied in changeset installer|6384144720eb0444ffa6343a21c5899538579b9d.

#4 - 11/28/2022 12:26 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
